'use strict';
var DataTypes = require('sequelize');

module.exports = function(sequelize) {
  return sequelize.define('Project', {
    name: {
      type: DataTypes.STRING,
      allowNull: false
    },
    description: {
      type: DataTypes.TEXT,
      allowNull: false
    }
  }, {
    indexes: [{
      fields: ['name']
    }],
    classMethods: {
      associate: function(schema) {
        schema.Project.hasMany(schema.Task);
      }
    }
  });
};
