'use strict';
var DataTypes = require('sequelize');

module.exports = function(sequelize) {
  return sequelize.define('RestQuery', {
    hash: {
      type: DataTypes.STRING,
      allowNull: false
    },
    modelName: {
      type: DataTypes.STRING,
      allowNull: false
    },
    queryName: {
      type: DataTypes.STRING,
      allowNull: false
    },
    queryTemplate: {
      type: DataTypes.TEXT,
      allowNull: false
    }
  }, {
    indexes: [{
      unique: true,
      fields: ['hash']
    }, {
      unique: true,
      fields: ['modelName', 'queryName']
    }]
  });
};
